# ATC: fix_modify AtC control thermal correction_max_iterations

# fix_modify AtC control thermal correction_max_iterations

## syntax

fix_modify AtC control thermal correction_max_iterations <max_iterations>

- max_iterations (int) = maximum number of iterations that will be used by iterative matrix solvers

## examples

`fix_modify AtC control thermal correction_max_iterations 10`

## description

Sets the maximum number of iterations to compute the 2nd order in time correction term for lambda with the fractional step method. The method uses the same tolerance as the controller's matrix solver.

## restrictions

only for use with thermal physics using the fractional step method.

## related

## default

correction_max_iterations is 20